Retrieve deleted memberships
curl --request GET \
--url https://api.spacebring.com/community/memberships/v1/deleted \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/community/memberships/v1/deleted"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/community/memberships/v1/deleted', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memberships": [
{
"companyRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createDate": "2023-11-07T05:31:56Z",
"credits": {
"expiring": 123,
"permanent": 123
},
"dayPasses": {
"expiring": 123
},
"deleteDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invitationDate": "2023-11-07T05:31:56Z",
"locationRef": "<string>",
"metadata": {},
"notes": "<string>",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"about": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Community
Retrieve deleted memberships
Retrieve all deleted memberships.
OAuth
Required scopes:community.readonly or communityGET
/
community
/
memberships
/
v1
/
deleted
Retrieve deleted memberships
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the location.
The number of items to return
Required range:
1 <= x <= 100Filter by user's email
Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Was this page helpful?
⌘I